{
"id": "<string>",
"object": "event",
"created": 123,
"data": {
"object": {
"createTime": 1754819711382,
"refundId": "rfd_abc123xyz",
"refundMerchantOrderId": "refund_ref_10001",
"orderId": "order_def456uvw",
"customerId": "cus_ghi789rst",
"refundAmount": 19.99,
"refundCurrency": "USD",
"status": "success",
"failureCode": "already_refunded",
"failureMessage": "This payment has already been fully refunded. Check order status in your account's transaction history.",
"refundReason": "Customer Initiated Refund",
"metadata": {
"arn": "8377252556170253",
"merchantReferenceId": "sample_id"
},
"paymentInstrumentId": "<string>"
}
}
}Webhooks
refund
Webhook notification triggered when refund is created or updated
WEBHOOK
refund
{
"id": "<string>",
"object": "event",
"created": 123,
"data": {
"object": {
"createTime": 1754819711382,
"refundId": "rfd_abc123xyz",
"refundMerchantOrderId": "refund_ref_10001",
"orderId": "order_def456uvw",
"customerId": "cus_ghi789rst",
"refundAmount": 19.99,
"refundCurrency": "USD",
"status": "success",
"failureCode": "already_refunded",
"failureMessage": "This payment has already been fully refunded. Check order status in your account's transaction history.",
"refundReason": "Customer Initiated Refund",
"metadata": {
"arn": "8377252556170253",
"merchantReferenceId": "sample_id"
},
"paymentInstrumentId": "<string>"
}
}
}Headers
Timestamp sent by Clink for webhook signature verification.
Hex-encoded HMAC-SHA256 signature generated with the webhook signing secret over the string ${X-Clink-Timestamp}.${rawRequestBody}. Use the raw request body bytes/string exactly as received; do not parse and re-serialize the JSON before verifying.
Signature algorithm used to generate X-Clink-Signature. The current value is SHA256.
Available options:
SHA256 Body
application/json
Refund event payload in json
Unique identifier for the event
Type of event that occurred
Available options:
refund.created, refund.succeeded, refund.failed Type of this json payload, 'event' if this is an event
Example:
"event"
Unix timestamp in milliseconds when the event occurred
Show child attributes
Show child attributes
Response
200
Return a 200 status to indicate that the data was received successfully